/**
 * ActClassEntry.java
 *
 * File generated from the medication::ActClassEntry uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration ActClassEntry.
 *
 * 
 */

@XmlType(name = "ActClassEntry")
@XmlEnum
@XmlRootElement(name = "ActClassEntry")
public enum ActClassEntry {
	@XmlEnumValue("ENTRY")
	ENTRY("ENTRY"),
	@XmlEnumValue("BATTERY")
	BATTERY("BATTERY"),
	@XmlEnumValue("CLUSTER")
	CLUSTER("CLUSTER");
	
	private final String value;

    ActClassEntry(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }

    public static ActClassEntry fromValue(String v) {
        for (ActClassEntry c: ActClassEntry.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}